<?php
/**
 * Hook to display verbose information about pi plugin in Web>Page module
 */
class tx_mageconnect_cms_layout 
{
	/**
	 * Returns information about this extension's pi plugin
	 *
	 * @param	array		$params	Parameters to the hook
	 * @param	object		$pObj	A reference to calling object
	 * @return	string		Information about pi1 plugin
	 */
	function getExtensionSummary($params, &$pObj) {
		
		if ($params['row']['list_type'] == 'mageconnect_pi2') {
			$data = t3lib_div::xml2array($params['row']['pi_flexform']);	
			
			if (is_array($data) && $data['data']['general_setting']['lDEF']['productsPid']) {
				
				$display_type = $data['data']['product_setting']['lDEF']['display_type']['vDEF'];
				$chosenIds = $data['data']['product_setting']['lDEF']['product_single']['vDEF'];
				
				$result = ''.$GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.display_type') . ':<strong> ';
				switch ($display_type) {
					case 'display_list':
						$result .= $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.display_list');
						break;
					case 'display_grid':
						$result .= $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.display_grid');
						break;
					case 'display_single':
						$result .= $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.display_single');
						break;
					case 'display_detail':
						$result .= $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.display_detail');
						break;
					case 'display_markers':
						$result .= $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.display_markers');
						break;
					default:
						$result = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.not_configured');
						break;
				}
				return $result . '</strong> (ID\'s: '.$chosenIds.')';
			}
			if (!$result) {
				$result = $GLOBALS['LANG']->sL('LLL:EXT:mageconnect/locallang_db.xml:cms_layout.not_configured');
			}
		}
		return $result;
	}
}


if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_cms_layout.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_cms_layout.php']);
}

