<?php
/**
 * MAGECONNECT
 * Connecting TYPO3 and Magento
 * 
 * Crypt Class
 * 
 * Encrypt and Decrypt
 * 
 * @author Bastian 'Aggy' Zagar
 * @version 0.1
 *
 */
 
class tx_mageconnect_crypt extends tslib_pibase
{
	/**
	 * Encryption Key
	 */	
	private $_encKey;
	
	function __construct($encKey)
	{
		$this->_encKey = $encKey;
	}
	
	function __destruct()
	{
		$this->_reset();
		unset($this->_encKey);
	}
	
	function _reset()
	{
		$this->_encKey = NULL;
	}
	
	/**
	 * _getKey
	 */
	protected function _getKey()
	{
		return $this->_encKey;
	}
	
	public function getCrypted($string)
	{
		return $this->_encrypt($string);
	}
	
	public function getDecrypted($string)
	{
		return $this->_decrypt($string);
	}
	
	/**
	 * _encrypt
	 * Decrypts a string
	 * 
	 * @param string $string
	 * @return string
	 */
	private function _encrypt($string)
	{
		$key = $this->_getKey();
		
		$iv = mcrypt_create_iv(mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB), MCRYPT_RAND);
		$passcrypt = trim(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, $key, trim($string), MCRYPT_MODE_ECB, $iv));
		$encode = base64_encode($passcrypt);
		return $encode;
	}	
	
	/**
	 * _decrypt
	 * Decrypts a string
	 * 
	 * @param string $encString
	 * @return string
	 */
	private function _decrypt($encString)
	{
		$key = $this->_getKey();
		
		$decoded = base64_decode($encString);
		$iv = mcrypt_create_iv(mcrypt_get_iv_size(MCRYPT_RIJNDAEL_256, MCRYPT_MODE_ECB), MCRYPT_RAND);
		$decrypted = trim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, $key, trim($decoded), MCRYPT_MODE_ECB, $iv));
		return $decrypted;
	}
}


if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_crypt.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mageconnect/lib/class.tx_mageconnect_crypt.php']);
}

